Subject: Re: [mpls] Last Call: draft-ietf-mpls-ldp-upstream (MPLS Upstream Label Assignment for LDP) to Proposed Standard

From: [email-masked]
Date: Thu, 14 Oct 2010 12:01:53 +0800

Hi all,
I am looking forward the consensus from WG and IESG. The same issue 
(RFC3212) happens to draft-ietf-pwe3-dynamic-ms-pw-13 (although not last 
call currently). What's more, such kind of consensus can also give some 
guidance to other SDO.

BR
Lizhong
 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Thu, 30 Sep 2010 15:31:01 -0400
> From: Eric Rosen <[email-masked]>
> Subject: Re: [mpls] Last Call: draft-ietf-mpls-ldp-upstream (MPLS
>    Upstream   Label Assignment for LDP) to Proposed Standard
> To: [email-masked]
> Cc: [email-masked]
> Message-ID: <26461.1285875061@erosen-linux>
> 
> 
> With regard to this draft, I need to reiterate a comment I made during 
WG
> last call, as I think there is a procedural issue that needs to be 
brought
> to the IESG's attention.
> 
> The draft has a normative reference to RFC 3472 "Generalized 
Multi-Protocol
> Label Switching (GMPLS) Signaling Constraint-based Routed Label 
Distribution
> Protocol (CR-LDP) Extensions", despite the fact that CR-LDP has been
> deprecated by RFC 3468 ("The MPLS Working Group decision on MPLS 
signaling
> protocols", February 2003).  I don't think this is allowable; I 
interpret
> RFC 3468 as requiring that we do not take any action that prevents the
> deprecated CR-LDP documents from being reclassified as historic.
> 
> The only reason the CR-LDP documents were not classified as historic 
seven
> years ago is that there are other standards organizations that have 
produced
> specs with normative references to CR-LDP.
> 
> Section 4.3 of RFC 3468 says:
> 
>    standards organizations which reference the document [the CR-LDP 
specs],
>    need to be notified of our decision so that they (at their own pace) 
can
>    change their references to more appropriate documents.  It is also
>    expected that they will notify us when they no longer have a need to
>    normative reference to CR-LDP.
> 
> I think the clear implication of this is that neither the IETF nor any 
other
> SDO should be creating new normative references to CR-LDP documents. 
Note
> that RFC 3468 explicitly calls out RFC 3472 as one of the deprecated
> documents.
> 
> During WG LC, one of the authors stated that he disagreed with my
> interpretation, but WG consensus on this issue was never obtained.
> 
> At this point, I believe the only change that is needed to 
draft-ietf-mpls-
> ldp-upstream is to move the reference to RFC 3472 into the 
"Informational
> References" section.  That is, I think that recent revisions to the 
draft
> have made the normative reference gratuitous, as one does not need to 
read
> RFC3472 in order to implement any part of this draft.
> 
> If the draft is published with this normative reference, it is almost
> inevitable that someone will someday say "we don't want to use LDP
> upstream-assigned labels, because they depend on CR-LDP and CR-LDP has 
been
> deprecated".

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.